@Suppress("DSL_SCOPE_VIOLATION") // TODO: Remove once KTIJ-19369 is fixed
plugins {
    alias(libs.plugins.androidLibrary)
    alias(libs.plugins.kotlinAndroid)
}

android {
    namespace = "com.xhkjedu.corelib"
    compileSdk = 33

    defaultConfig {
        minSdk = 24

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles("consumer-rules.pro")
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    
    viewBinding{
        enable=true
    }

    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = "1.8"
    }
}

dependencies {

    implementation(libs.core.ktx)
    implementation(libs.appcompat)
    implementation(libs.material)
    testImplementation(libs.junit)
    androidTestImplementation(libs.androidx.test.ext.junit)
    androidTestImplementation(libs.espresso.core)
    api(libs.androidx.multidex)
    api(libs.lifecycle.runtime.ktx)
    api (libs.lifecycle.livedata.ktx)
    api (libs.androidx.lifecycle.viewmodel.ktx)
    api(libs.androidx.constraintlayout)
    api(libs.androidx.work.runtime.ktx)
    //协程
    api(libs.org.jetbrains.kotlinx.kotlinx.coroutines.core2)
    api(libs.org.jetbrains.kotlinx.kotlinx.coroutines.android2)

    //retrofit + okHttp3
    api(libs.com.squareup.retrofit2.retrofit)
    api(libs.com.squareup.retrofit2.adapter.rxjava2)
    api(libs.com.squareup.retrofit2.converter.gson)
    api(libs.com.squareup.retrofit2.converter.scalars)
    api(libs.com.squareup.okhttp3.logging.interceptor)
    api(libs.com.jakewharton.retrofit.retrofit2.kotlin.coroutines.adapter2)
    //glide
    api(libs.bumptech.glide)

    //rxjava
    api(libs.rxjava)
    api(libs.rxandroid)
    //动态权限框架
    api(libs.rxpermissions)
    //eventbus
    api(libs.eventbus)
    //万能适配器
    api(libs.baseadapterhelper)

    //下拉刷新框架
    api(libs.smartrefresh.layout.kernel)     //核心必须依赖
    api(libs.smartrefresh.header.classics)    //经典刷新头
    api(libs.smartrefresh.header.radar)       //雷达刷新头
    api(libs.smartrefresh.header.falsify)   //虚拟刷新头
    api(libs.smartrefresh.header.material)    //谷歌刷新头
    api(libs.smartrefresh.header.two.level)   //二级刷新头
    api(libs.smartrefresh.footer.ball)        //球脉冲加载
    api(libs.smartrefresh.footer.classics)    //经典加载
// 吐司框架：https://github.com/getActivity/Toaster
    api(libs.gittoaster)
    //弹窗
    api(libs.dialogx)
    //今日头条适配
    api(libs.jessyanandroidautosize)


    //圆角imageview
    api("com.makeramen:roundedimageview:2.3.0")

    //下载框架
    api("io.github.ydxlt:okdownloader:1.0.0")
}